{% extends '../orders/base.html' %}

{% block title %}
Register | Project3: Pizza
{% endblock %}

{% block body %}
<h2>Register</h2>
<div class="col-7">
  <form method="post" class="profile-form">
    {% csrf_token %}
    {% for field in form %}
    <div class="form-group row">
      <label class="col-2 col-form-label">{{ field.label_tag }}</label>
      <div class="col-10">
        {{ field }}
        {% if field.help_text %}
        <small  class="text-muted">{{ field.help_text }}</small>
        {% endif %}
      </div>
      {% for error in field.errors %}
      <div class="alert alert-danger" role="alert">
        {{ error }}
      </div>
      {% endfor %}
    </div>
    {% endfor %}
    <button type="submit" class="btn btn-block btn-success">Register</button>
  </form>
  <p>
    Already have an account? <a href="{% url 'login' %}">Log in.</a>
  </p>
</div>
{% endblock %}
